LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
CommandType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.

## Constant Groups
constants | com::sun::star::sdb::CommandType
| indicates the type of a command.

## Variables
const long | TABLE = 0
| indicates that a command contains a table name, which can be used to process a command like "select * from tablename". More...
const long | QUERY = 1
| indicates that a command contains a name of a query component, which contains a certain statement. More...
const long | COMMAND = 2
| indicates that the command is an SQL-Statement. More...